Summary: A GNU tool which simplifies the build process for users.
Name: make
Epoch: 1
Version: 3.78.1
Release: 4
Copyright: GPL
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.gz
Patch0: make-3.78.1-race.patch
Patch1: make-3.78.1-dtype.patch
Prereq: /sbin/install-info
Prefix: %{_prefix}
Buildroot: /var/tmp/%{name}-root

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure
make

%install
rm -f $RPM_BUILD_ROOT/%{_prefix}/info/make.info*

make prefix=$RPM_BUILD_ROOT/%{_prefix} install

pushd $RPM_BUILD_ROOT/%{_prefix} ; { 
  rm -f ./info/dir
  gzip -9nf ./info/make.info*
  strip ./bin/make
  ln -sf make ./bin/gmake
} ; popd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info /%{_prefix}/info/make.info.gz /%{_prefix}/info/dir --entry="* GNU make: (make).           The GNU make utility."

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /%{_prefix}/info/make.info.gz /%{_prefix}/info/dir --entry="* GNU make: (make).           The GNU make utility."
fi

%files
%defattr(-,root,root)
%doc NEWS README
%{_prefix}/bin/make
%{_prefix}/bin/gmake
%{_prefix}/man/man1/make.1*
%{_prefix}/info/make.info*

%changelog
* Thu Feb 24 2000 Cristian Gafton <gafton@redhat.com>
- add patch from Andreas Jaeger to fix dtype lookups (for glibc 2.1.3
  builds)

* Mon Feb  7 2000 Jeff Johnson <jbj@redhat.com>
- compress man page.

* Fri Jan 21 2000 Cristian Gafton <gafton@redhat.com>
- apply patch to fix a /tmp race condition from Thomas Biege
- simplify %install

* Sat Nov 27 1999 Jeff Johnson <jbj@redhat.com>
- update to 3.78.1.

* Thu Apr 15 1999 Bill Nottingham <notting@redhat.com>
- added a serial tag so it upgrades right

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 5)

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- added a patch for large file support in glob
 
* Tue Aug 18 1998 Jeff Johnson <jbj@redhat.com>
- update to 3.77

* Mon Apr 27 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Oct 16 1997 Donnie Barnes <djb@redhat.com>
- udpated from 3.75 to 3.76
- various spec file cleanups
- added install-info support

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
- built against glibc
